import { IListOptions } from '@fly-vue/ide-base';
import { IServerOrchJson, IServerOrchParam } from '@fly-vue/lcdp-api';
interface IReOrderParams {
    moved: {
        newIndex: number;
        oldIndex: number;
    };
}
declare const _default: import("vue").DefineComponent<{
    data: null;
}, {
    __sfc: boolean;
    props: {
        data: IServerOrchJson;
    };
    emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
    json: IServerOrchJson;
    listOptions: IListOptions;
    refParameters: import("vue").Ref<any>;
    refOutputs: import("vue").Ref<any>;
    parameters: import("vue").Ref<{
        type: "string" | "number" | "object" | "model" | "array" | "entity";
        _name?: string | undefined;
        default?: any;
        title?: string | undefined;
        desc?: string | undefined;
        ref?: string | undefined;
        orderNo?: number | undefined;
        properties?: Record<string, IServerOrchParam> | undefined;
    }[]>;
    output: import("vue").Ref<{
        type: "string" | "number" | "object" | "model" | "array" | "entity";
        _name?: string | undefined;
        default?: any;
        title?: string | undefined;
        desc?: string | undefined;
        ref?: string | undefined;
        orderNo?: number | undefined;
        properties?: Record<string, IServerOrchParam> | undefined;
    }[]>;
    runOptions: import("vue").Ref<{
        runInTransaction?: boolean | undefined;
    }>;
    keyword: import("vue").Ref<any>;
    keywordOutput: import("vue").Ref<any>;
    paramDetail: import("vue").Ref<any>;
    outputDetail: import("vue").Ref<any>;
    reload: () => void;
    addParam: () => Promise<void>;
    addOutput: () => Promise<void>;
    onSelectParam: (data: IServerOrchParam) => Promise<void>;
    onSelectOutput: (data: IServerOrchParam) => Promise<void>;
    remove: (index: number, list: IServerOrchParam[]) => Promise<void>;
    reorderParams: (params: IReOrderParams, list: IServerOrchParam[]) => void;
    save: () => void;
    isDataValid: import("vue").Ref<boolean>;
    isParamValid: (i: IServerOrchParam) => boolean;
    checkDataValid: () => boolean;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    IconBtn: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/icon-btn.vue")>;
    LcLine: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/line.vue")>;
    List: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/list/list.vue")>;
    FormBtns: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form-btns.vue")>;
    LcForm: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/form.vue")>;
    Field: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/field.vue")>;
    ServerOrchDesignerParamDetail: import("vue").DefineComponent<{
        value: {
            type: ObjectConstructor;
            required: true;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            value: Record<string, any>;
        } & {}>>>;
        typeList: {
            label: string;
            value: string;
        }[];
        d: IServerOrchParam;
        SelectModel: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-model.vue")>;
        SelectEntity: () => Promise<typeof import("@fly-vue/ide-core/@types/components/form/select-entity.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
        required: {
            required: boolean;
            message: string;
            trigger: string;
        };
        InputCode: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/input-code.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: ObjectConstructor;
            required: true;
        };
    }>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
    data: null;
}>>, {}>;
export default _default;
