import { IMetaProps } from '@fly-vue/lcdp-api';
import { ITreeNode } from '@fly-vue/ide-base';
import { FileType } from '@fly-vue/ide-core';
declare const _default: import("vue").DefineComponent<{
    folderable: {
        type: BooleanConstructor;
    };
    isFold: {
        type: BooleanConstructor;
    };
    openTab: {
        type: BooleanConstructor;
    };
    selected: null;
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    appId: null;
}, {
    __sfc: boolean;
    props: {
        folderable?: boolean | undefined;
        isFold?: boolean | undefined;
        openTab?: boolean | undefined;
        selected?: string | undefined;
        immediate: boolean;
        appId?: string | undefined;
    };
    emit: (event: "on-loaded" | "on-select" | "update:isFold", ...args: any[]) => void;
    refMetaTree: import("vue").Ref<any>;
    refDropdown: import("vue").Ref<any>;
    selectedPackage: import("vue").Ref<any>;
    keyword: import("vue").Ref<string>;
    selectedPageTitle: import("vue").Ref<string>;
    meta: IMetaProps;
    isShowPageTitleDropDown: import("vue").Ref<boolean>;
    fileType: FileType;
    isFold: import("vue").Ref<boolean | undefined> | import("vue").WritableComputedRef<boolean | undefined>;
    doImport: ({ id: packageId }?: {
        id: string;
    } | undefined) => Promise<void>;
    doExportZip: (data?: any) => Promise<void>;
    reloadPackageList: (id?: string | undefined) => Promise<void>;
    showAddPackage: () => void;
    toggleExpandAll: () => void;
    onSelect: (node: ITreeNode) => void;
    showAddObject: () => void;
    toggleFold: () => void;
    metaServerOrch: IMetaProps;
    Link: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/link.vue")>;
    Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    SimpleDropdown: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/simple-dropdown.vue")>;
    MetaTree: () => Promise<typeof import("@fly-vue/ide-core/@types/components/meta/meta-tree/meta-tree.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-loaded" | "on-select" | "update:isFold")[], string, Readonly<import("vue").ExtractPropTypes<{
    folderable: {
        type: BooleanConstructor;
    };
    isFold: {
        type: BooleanConstructor;
    };
    openTab: {
        type: BooleanConstructor;
    };
    selected: null;
    immediate: {
        type: BooleanConstructor;
        default: boolean;
    };
    appId: null;
}>>, {
    folderable: boolean;
    isFold: boolean;
    openTab: boolean;
    immediate: boolean;
}>;
export default _default;
